# Roles

Blog authoring and management can be delegated to users at up to three different levels. Users assigned to a blog
using one of the below methods will be automatically assigned to the "Blog users" group and granted basic CMS access.

Note: If it's necessary to restrict access to non-blog pages to any of the below users, ensure that
the "Who can edit pages on this site?" option under Settings is changed from "Anyone who can log-in to the CMS"
to a specific selection of groups.

## Editor

An editor has control over specific Blogs, and their respective BlogPost subpages. Short of being able to assign
other editors to a Blog, they are able to handle most changes to their assigned section.

Editors have these permissions:

 * Update or Publish any BlogPost in their Blog
 * Update or Publish their Blog
 * Assign/Unassign writers to their Blog
 * Assign/Unassign contributors to their Blog
 * Assign/Unassign any member as an author of a particular BlogPost

## Writer

A writer is able to handle most tasks involving writing and publishing BlogPosts. While they
are not able to edit a Blog directly, they are able to add new BlogPost entries within a Blog.
They can't edit BlogPosts, however, that they are not been assigned to or have authored themselves.

Writers have these permissions:

 * Update or Publish any BlogPost they have authored (or are assigned as author of)
 * Assign/Unassign any member as an author of a particular BlogPost they have authored
   (or are assigned as author of)

## Contributor

Contributors have the ability to create or edit BlogPosts, but are unable to publish without
authorisation of an editor. They are also unable to assign other contributing authors to
any of their BlogPosts.

Contributors have these permissions:

 * Update or edit any BlogPost they have authored (or are assigned as author of)
